## CongNodeModificationSetParent

CongNodeModificationSetParent —

## Synopsis

    struct      CongNodeModificationSetParent;
    #define     CONG_NODE_MODIFICATION_SET_PARENT(obj)
    #define     CONG_NODE_MODIFICATION_SET_PARENT_CLASS(klass)
    #define     IS_CONG_NODE_MODIFICATION_SET_PARENT(obj)
    GType       cong_node_modification_set_parent_get_type
                                                (void);
    CongNodeModificationSetParent* cong_node_modification_set_parent_construct
                                                (CongNodeModificationSetParent *node_modification_set_parent,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 CongNodePtr adoptive_parent);
    CongModification* cong_node_modification_set_parent_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 CongNodePtr adoptive_parent);

## Object Hierarchy

      GObject
       +----CongModification
             +----CongNodeModification
                   +----CongNodeModificationSetParent

## Description

## Details

### struct CongNodeModificationSetParent

    struct CongNodeModificationSetParent;

### CONG_NODE_MODIFICATION_SET_PARENT()

    #define CONG_NODE_MODIFICATION_SET_PARENT(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_NODE_MODIFICATION_SET_PARENT_TYPE, CongNodeModificationSetParent)

`obj` : |

### CONG_NODE_MODIFICATION_SET_PARENT_CLASS()

    #define CONG_NODE_MODIFICATION_SET_PARENT_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_NODE_MODIFICATION_SET_PARENT_TYPE, CongNodeModificationSetParentClass)

`klass` : |

### IS_CONG_NODE_MODIFICATION_SET_PARENT()

    #define IS_CONG_NODE_MODIFICATION_SET_PARENT(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_NODE_MODIFICATION_SET_PARENT_TYPE)

`obj` : |

### cong_node_modification_set_parent_get_type ()

    GType       cong_node_modification_set_parent_get_type
                                                (void);

Returns : |

### cong_node_modification_set_parent_construct ()

    CongNodeModificationSetParent* cong_node_modification_set_parent_construct
                                                (CongNodeModificationSetParent *node_modification_set_parent,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 CongNodePtr adoptive_parent);

TODO: Write me

`node_modification_set_parent` : |
`doc` : |
`node` : |
`adoptive_parent` : |
Returns : |

### cong_node_modification_set_parent_new ()

    CongModification* cong_node_modification_set_parent_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 CongNodePtr adoptive_parent);

TODO: Write me

`doc` : |
`node` : |
`adoptive_parent` : |
Returns : |